
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity SimpleCombTB is
end SimpleCombTB;

architecture Behavioral of SimpleCombTB is

signal sw_sig  : std_logic_vector (1 downto 0);
signal led_sig : std_logic_vector (3 downto 0);

begin

    -- Instanz des zu testenden Moduls
    my_comb: entity work.SimpleComb
    port map (
        sw  => sw_sig, 
        led => led_sig
    );

    -- Ein Prozess, der die Eingnge "stimuliert"
    process 
    begin
        sw_sig <= "00";         -- Wert an sw zuweisen
        wait for 100 ns;        -- einige Zeit warten
        assert led_sig = "0000" report "Fehler in der Simulation" severity error;
        sw_sig <= "01";         -- Nchster Wert...
        wait for 100 ns;        -- usw.
        assert led_sig = "0101" report "Fehler in der Simulation" severity error;
        sw_sig <= "10";
        wait for 100 ns;
        assert led_sig = "0110" report "Fehler in der Simulation" severity error;
        sw_sig <= "11";
        wait for 100 ns;
        assert led_sig = "1111" report "Fehler in der Simulation" severity error;
        assert false report "Simulation erfolgreich beendet" severity note;
        wait; -- Ende der Simulation: Prozess wird beendet.
    end process;

end Behavioral;



